package com.zd.airbottle.domain.vo;

import com.zd.airbottle.domain.QpQualificationApply;
import com.zd.airbottle.domain.QpQualificationApplyDetail;

import java.util.List;

/**
 * @Author: liujh
 * @Date: 2022/05/10/13:29
 * @Description:
 */
public class QpQualificationApplyVO extends QpQualificationApply {

    //用气资格申请详情
    private List<QpQualificationApplyDetail> listDetail;

    private List<QpQualificationApplyDetailVO> listDetailVo;

    //气瓶数量
    private Integer bottleNumber;
    //房间号
    private String room;//
    //审核状态
    private Integer auditStatus;
    //实验室负责人id
    private Long adminId;

    private Boolean zgBoolean;//是否具有资格审核资格
    private Boolean yqBoolean;//用气申请审核资格

    public Integer getBottleNumber() {        return bottleNumber;    }

    public void setBottleNumber(Integer bottleNumber) {        this.bottleNumber = bottleNumber;    }

    public List<QpQualificationApplyDetail> getListDetail() {
        return listDetail;
    }

    public void setListDetail(List<QpQualificationApplyDetail> listDetail) {
        this.listDetail = listDetail;
    }

    public String getRoom() {        return room;    }

    public void setRoom(String room) {        this.room = room;    }

    public Integer getAuditStatus() {        return auditStatus;    }

    public void setAuditStatus(Integer auditStatus) {        this.auditStatus = auditStatus;    }

    public List<QpQualificationApplyDetailVO> getListDetailVo() {        return listDetailVo;    }

    public void setListDetailVo(List<QpQualificationApplyDetailVO> listDetailVo) {        this.listDetailVo = listDetailVo;    }

    public Long getAdminId() {        return adminId;    }

    public void setAdminId(Long adminId) {        this.adminId = adminId;    }

    public Boolean getZgBoolean() {
        return zgBoolean;
    }

    public void setZgBoolean(Boolean zgBoolean) {
        this.zgBoolean = zgBoolean;
    }

    public Boolean getYqBoolean() {
        return yqBoolean;
    }

    public void setYqBoolean(Boolean yqBoolean) {
        this.yqBoolean = yqBoolean;
    }
}
